Attribute VB_Name = "basMain"
Option Explicit

Public Const ciPhysCycle    As Integer = 23
Public Const ciSensCycle    As Integer = 28
Public Const ciIntelCycle   As Integer = 33
Public Const cdPi           As Double = 3.14159265358979
Public Const ciInterval     As Integer = 5

Public Const HWND_NOTOPMOST As Integer = -2
Public Const HWND_TOPMOST   As Integer = -1
Public Const SWP_NOACTIVATE As Integer = &H10
Public Const SWP_SHOWWINDOW As Integer = &H40

Public Const GWL_STYLE      As Integer = -16
Public Const GWL_WNDPROC    As Integer = -4

Public Const WS_HSCROLL     As Long = &H100000
Public Const WS_VSCROLL     As Long = &H200000

Public gdBrthTable(3, ciIntelCycle * ciInterval) As Double  ' ǵ^^ml
Public gtIconData           As NOTIFYICONDATA   ' ACR
Public glAPIRetVal          As Long             ' API ̖߂l

Public Declare Function ShellExecute Lib "SHELL32" Alias "ShellExecuteA" (ByVal hwnd&, ByVal lpOperation$, ByVal lpFile$, ByVal lpParameters$, ByVal lpDirectory$, ByVal nShowCmd&) As Long
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd&, ByVal hWndInsertAfter&, ByVal X&, ByVal Y&, ByVal cx&, ByVal cy&, ByVal wFlags&) As Long
Public Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd&, ByVal nIndex&) As Long
Public Declare Function WinHelp Lib "user32" Alias "WinHelpA" (ByVal hwnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, ByVal dwData As Long) As Long


Public Sub Main()
'---------------------------------------------------------------------------
'    : main()
' @@@\ : oCIY\C
' @@ : Ȃ
'   l : Ȃ
' @@ : 1999/11/01
'---------------------------------------------------------------------------
    Dim lsAppPath       As String       ' AvP[ṼpX

    lsAppPath = App.Path
    If Right(lsAppPath, 1) = "\" Then
        App.HelpFile = lsAppPath & App.ProductName & ".hlp"
    Else
        App.HelpFile = lsAppPath & "\" & App.ProductName & ".hlp"
    End If

    brReadIniFile
    brInitTable

    If App.PrevInstance Then
        Exit Sub
    End If

    If basParam.brParamValue(csReadBD) = False Then
        frmBirth.Show vbModal
        If frmBirth.brdStatus = False Then
            Exit Sub
        End If
    End If

    If basParam.brParamValue(csTaskTray) = False Then
        frmMainTask.Show
    Else
        frmMain.Show
    End If
End Sub

Public Sub brInitTable()
'---------------------------------------------------------------------------
'    : brInitTable()
' @@@\ : ǵ^^me[ȕ
' @@ : Ȃ
'   l : Ȃ
' @@ : 1999/11/01
'---------------------------------------------------------------------------
    Dim liLoopCnt       As Integer      ' [vJE^
    Dim ldStand         As Double       ' l

    ldStand = (cdPi * 2) / (ciPhysCycle * ciInterval)
    For liLoopCnt = 0 To ciPhysCycle * ciInterval
        gdBrthTable(0, liLoopCnt) = Sin(liLoopCnt * ldStand)
    Next liLoopCnt

    ldStand = (cdPi * 2) / (ciSensCycle * ciInterval)
    For liLoopCnt = 0 To ciSensCycle * ciInterval
        gdBrthTable(1, liLoopCnt) = Sin(liLoopCnt * ldStand)
    Next liLoopCnt

    ldStand = (cdPi * 2) / (ciIntelCycle * ciInterval)
    For liLoopCnt = 0 To ciIntelCycle * ciInterval
        gdBrthTable(2, liLoopCnt) = Sin(liLoopCnt * ldStand)
    Next liLoopCnt
End Sub
